<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): /home/mohamed/code/tigl/src/standard/containers Directory Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Macros</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e1c3629206a62d7880de84e139cd6012.html">src</a></li><li class="navelem"><a class="el" href="dir_bc49a3b403b59ab508217f3692053f91.html">standard</a></li><li class="navelem"><a class="el" href="dir_d05ffc96d6688851d72c9652597fc688.html">containers</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">containers Directory Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="files"></a>
Files</h2></td></tr>
<tr class="memitem:tiglContainersAggregate_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="tiglContainersAggregate_8hpp.html">tiglContainersAggregate.hpp</a> <a href="tiglContainersAggregate_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:tiglContainersAggregate_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">contains implementation of the base <a class="el" href="classAggInfo.html" title="base class for aggregate information it holds important aggregate information and methods for updatin...">TIGLContainersAggregate</a> class that contains the aggregate information <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:tiglContainersEdgeBase_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="tiglContainersEdgeBase_8hpp.html">tiglContainersEdgeBase.hpp</a> <a href="tiglContainersEdgeBase_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:tiglContainersEdgeBase_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">contains core edge classes <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:tiglContainersGraphTraits_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="tiglContainersGraphTraits_8hpp.html">tiglContainersGraphTraits.hpp</a> <a href="tiglContainersGraphTraits_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:tiglContainersGraphTraits_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">basic type definitions for subgraph class <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:tiglContainersSubgraph_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="tiglContainersSubgraph_8hpp.html">tiglContainersSubgraph.hpp</a> <a href="tiglContainersSubgraph_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:tiglContainersSubgraph_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">contains definition of subgraph container class <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:tiglContainersSubgraphBase_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="tiglContainersSubgraphBase_8hpp.html">tiglContainersSubgraphBase.hpp</a> <a href="tiglContainersSubgraphBase_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:tiglContainersSubgraphBase_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">contains implementation of <a class="el" href="classSubgraphBase.html" title="core data container for a subgraph in each device. It contains the vertex list and the corresponding ...">TIGLContainersSubgraphBase</a> class <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:tiglContainersSubgraphImplementation_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="tiglContainersSubgraphImplementation_8hpp.html">tiglContainersSubgraphImplementation.hpp</a> <a href="tiglContainersSubgraphImplementation_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:tiglContainersSubgraphImplementation_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">contains implementation of subgraph class <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:tiglContainersVertexBase_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="tiglContainersVertexBase_8hpp.html">tiglContainersVertexBase.hpp</a> <a href="tiglContainersVertexBase_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:tiglContainersVertexBase_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">contains core <a class="el" href="classVertex.html" title="core vertex class for Pregel Engine (with only output edge buffer). It inherits the core vertex class...">Vertex</a> classes <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:tiglContainersVertexTraits_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="tiglContainersVertexTraits_8hpp.html">tiglContainersVertexTraits.hpp</a> <a href="tiglContainersVertexTraits_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:tiglContainersVertexTraits_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">basic type definitions for vertex class <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:tiglMessageImplementation_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="tiglMessageImplementation_8hpp.html">tiglMessageImplementation.hpp</a> <a href="tiglMessageImplementation_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:tiglMessageImplementation_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">implementation methods for the core <a class="el" href="classMessage.html" title="core data message class definition It handles all the data message fields and processing It is a temp...">Message</a> class <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:tiglVertexImplementation_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="tiglVertexImplementation_8hpp.html">tiglVertexImplementation.hpp</a> <a href="tiglVertexImplementation_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:tiglVertexImplementation_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">implementation methods for the core <a class="el" href="classVertex.html" title="core vertex class for Pregel Engine (with only output edge buffer). It inherits the core vertex class...">Vertex</a> class <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Jan 20 2015 16:21:55 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
